package cn.com.ctop.oa.modules.enums;


import cn.com.ctop.common.module.utils.Check;

public enum DepartEnum {


    depart1("快手事业部"),
    depart2("头条事业部"),
    //    depart3("销售部"),
    depart4("研发中心部"),
    //  depart5("内容中心部"),
    depart6("媒介部"),
    depart7("渠道部"),
    depart8("制片部"),
    depart9("法务部"),
    depart10("财务部"),
    depart11("人事行政部"),
    depart12("快手直播销售部"),
    depart13("头条直播销售部"),
    depart14("BD"),
    depart15("业务管理部"),
   // depart16("运营部"),
    depart161("运营一部"),
    depart162("运营二部"),
    //    depart17("聚星事业部"),
    depart171("视频部"),
    depart18("销售部");
//    depart19("销售一部");
//    depart20("销售二组");


    private String departName;


    private DepartEnum(String departName) {
        this.departName = departName;

    }

    public static Boolean getDepart(String departNameStr) {
        if (Check.isNull(departNameStr)) {
            return false;
        }
        for (DepartEnum departEnum : DepartEnum.values()) {
            String departName = departEnum.getDepartName();

            if (departNameStr.equals(departName)) {
                return true;
            }
        }
        return false;
    }


    public String getDepartName() {
        return departName;
    }

    public void setDepartName(String departName) {
        this.departName = departName;
    }

    @Override
    public String toString() {
        return "DepartEnum{" +
                "departName='" + departName + '\'' +
                '}';
    }
}
